Get Purchase Status
curl --request GET \
--url https://api.agentpowers.ai/v1/purchases/{purchase_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/purchases/{purchase_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/purchases/{purchase_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"purchase_id": "<string>",
"status": "<string>",
"skill_slug": "<string>",
"license_code": "<string>",
"purchased_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}purchases
Get Purchase Status
Poll purchase status.
GET
/
v1
/
purchases
/
{purchase_id}
/
status
Get Purchase Status
curl --request GET \
--url https://api.agentpowers.ai/v1/purchases/{purchase_id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/purchases/{purchase_id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/purchases/{purchase_id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"purchase_id": "<string>",
"status": "<string>",
"skill_slug": "<string>",
"license_code": "<string>",
"purchased_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Path Parameters
Was this page helpful?